=== debian/changelog ===
magit (3.3.0+git20240412.1.da14749d-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:37:49 +0900

magit (3.3.0+git20240412.1.da14749d-2) unstable; urgency=medium

  * Team upload.
  * d/patches: define committer info for git-commit in tests
    (Closes: #1073473)
  * d/rules: set `LC_ALL=C.UTF-8` for `magit-status:file-sections` test

 -- Jeremy Sowden <azazel@debian.org>  Tue, 25 Jun 2024 12:42:53 +0100

magit (3.3.0+git20240412.1.da14749d-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1068875).
  * Refresh patches.
  * d/control: Add explicit versioned dependency on elpa-transient for
    elpa-magit and elpa-git-commit. This is temporary, pending changes to
    dh-elpa. (Closes: #1068903).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Sun, 14 Apr 2024 00:52:46 +0200

magit (3.3.0+git20231219.1.c7ab6931-1) unstable; urgency=medium

  * New upstream snapshot.
  * d/patches:
    - Drop 0004-tramp-test-overide.patch (not applicable anymore)
    - Drop repair-magit-get-and-submodule-tests.patch (applied upstream)
    - Drop fix-magit-test-unable-to-find-compat-through-with-editor.patch
      (applied upstream)
    - Refreshed other patches
  * d/control:
    - Add minimal version to elpa-transient Build-Depends.
    - Keep only necessary Build-Depends.
  * Remove obsolete d/*.prerm files.
  * d/copyright: Update copyright years.
  * d/rules:
    - Remove unneeded dh_clean override.
    - Remove EMACS_INHIBIT_AUTOMATIC_NATIVE_COMPILATION environment
      variable (tests run fine without it).
    - Remove GIT_*, LC_ALL environment variables (not needed anymore).
    - Remove DEB_VERSION_UPSTREAM environment variable (not needed
      anymore).
  * Update d/*.elpa files in line with upstream changes.
  * Add temporary patch to reformat multiline Package-Requires to
    monoline.
  * Improve documentation packaging (more formats, added doc-base).

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Tue, 26 Dec 2023 18:56:47 +0100
