=== debian/control ===
Source: magit
Section: vcs
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Timo Juhani Lindfors <timo.lindfors@iki.fi>,
 Rémi Vanicat <vanicat@debian.org>,
 Barak A. Pearlmutter <bap@debian.org>,
 Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa (>= 1.7),
 elpa-compat,
 elpa-dash,
 elpa-with-editor,
 elpa-transient (>= 0.5.0),
 git,
 texinfo,
 texlive-base,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://magit.vc/
Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git

Package: elpa-magit
Architecture: all
Provides: magit
Replaces: magit (<< 2.2.2-3)
Breaks: magit (<< 2.2.2-3)
Depends: ${misc:Depends}, git, ${elpa:Depends}, elpa-transient (>= 0.5.3),
Enhances: emacs, git
Description: Emacs interface for Git
 With Magit, you can inspect and modify your Git repositories with
 Emacs.  You can review and commit the changes you have made to the
 tracked files, for example, and you can browse the history of past
 changes.  There is support for cherry picking, reverting, merging,
 rebasing, and other common Git operations.

Package: elpa-git-commit
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}, elpa-transient (>= 0.5.0),
Enhances: emacs, git
Description: Major mode for editing git commit message
 A mode for editing COMMIT_MSG file from git in Emacs.

Package: elpa-magit-section
Architecture: all
Depends: ${misc:Depends}, ${elpa:Depends}
Enhances: emacs
Description: Collapsible sections like in Magit
 This package implements the main user interface of Magit — the
 collapsible sections that make up its buffers.  This package used
 to be distributed as part of Magit but now it can also be used by
 other packages that have nothing to do with Magit or Git.
