=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	make info html pdf
	@echo do not run make

override_dh_auto_install:
	@echo do not run make install

override_dh_elpa_test:
	make test LC_ALL=C.UTF-8
