## magit 4.1.2

=== debian/changelog ===
magit (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Forward port quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 02 Nov 2024 23:00:17 +0000

magit (4.1.1-1) unstable; urgency=medium

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Forward port quilt patches
  * Bump standards version

  [ Aymeric Agon-Rambosson ]
  * Drop temporary patch to reformat Package-Requires multiline header. We
    now need dh-elpa with minimal 2.1.2 version.
  * Remove explicit versioned dependencies on elpa-transient for binary
    packages (dh-elpa correctly adds them).
  * Update explicit versioned build dependencies (needed for tests).
  * Reinstate DEB_VERSION_UPSTREAM environment variable (git-commit.el
    specifies no Version header).

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 01 Nov 2024 15:01:12 +0000
