=== debian/control ===
--- 
+++ 
@@ -9,16 +9,17 @@
  Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
 Build-Depends:
  debhelper-compat (= 13),
- dh-elpa (>= 1.7),
- elpa-compat,
- elpa-dash,
- elpa-with-editor,
- elpa-transient (>= 0.5.0),
+ dh-elpa (>= 2.1.2),
+ elpa-compat (>= 30.0.0.0),
+ elpa-dash (>= 2.19.1),
+ elpa-seq (>= 2.24),
+ elpa-with-editor (>= 3.4.2),
+ elpa-transient (>= 0.7.5),
  git,
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
@@ -28,7 +29,7 @@
 Provides: magit
 Replaces: magit (<< 2.2.2-3)
 Breaks: magit (<< 2.2.2-3)
-Depends: ${misc:Depends}, git, ${elpa:Depends}, elpa-transient (>= 0.5.3),
+Depends: ${misc:Depends}, git, ${elpa:Depends},
 Enhances: emacs, git
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
@@ -39,7 +40,7 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}, elpa-transient (>= 0.5.0),
+Depends: ${misc:Depends}, ${elpa:Depends},
 Enhances: emacs, git
 Description: Major mode for editing git commit message
  A mode for editing COMMIT_MSG file from git in Emacs.
