=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

%:
	dh $@ --with elpa

override_dh_auto_build:
	$(MAKE) info html pdf
	@echo do not run make

override_dh_auto_install:
	@echo do not run make install

override_dh_elpa_test:
	$(MAKE) test LC_ALL=C.UTF-8
