## magit 4.2.0

=== debian/changelog ===
magit (4.2.0-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends package versions in d/control
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 03 Jan 2025 00:27:05 -0800

magit (4.1.3-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * New upstream release
  * Add d/gbp.conf matching the current practice
  * Refresh patches for the new version

  [ Barak A. Pearlmutter ]
  * Avoid race condition in building documentation from debian/rules

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 10 Dec 2024 15:38:43 -0800

magit (4.1.2-2) unstable; urgency=medium

  [ Xiyue Deng ]
  * Migrate elpa-git-commit into elpa-magit (Closes: #1086758)
    - git-commit has become part of magit since 4.1.0
    - Move install files from elpa-git-commit to elpa-magit
    - d/control: make elpa-git-commit a transitional package
  * Add myself to uploaders
  * d/control: enable "Testsuite: autopkgtest-pkg-elpa"
  * d/watch: modernize using substitute strings to be more robust

  [ Aymeric Agon-Rambosson ]
  * d/rules: Remove DEB_VERSION_UPSTREAM environment variable.
  * d/control:
    - Update Build-Depends versions.
    - elpa-magit: add Provides: elpa-git-commit.

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 05 Nov 2024 09:44:45 -0800
