=== debian/control ===
--- 
+++ 
@@ -6,15 +6,16 @@
  Timo Juhani Lindfors <timo.lindfors@iki.fi>,
  Rémi Vanicat <vanicat@debian.org>,
  Barak A. Pearlmutter <bap@debian.org>,
- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+ Aymeric Agon-Rambosson <aymeric.agon@yandex.com>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
- elpa-compat (>= 30.0.0.0),
+ elpa-compat (>= 30.0.1.0),
  elpa-dash (>= 2.19.1),
  elpa-seq (>= 2.24),
- elpa-with-editor (>= 3.4.2),
- elpa-transient (>= 0.7.5),
+ elpa-with-editor (>= 3.4.3),
+ elpa-transient (>= 0.8.2),
  git,
  texinfo,
  texlive-base,
@@ -23,12 +24,19 @@
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
+Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-magit
 Architecture: all
-Provides: magit
-Replaces: magit (<< 2.2.2-3)
-Breaks: magit (<< 2.2.2-3)
+Provides:
+ magit,
+ elpa-git-commit
+Replaces:
+ magit (<< 2.2.2-3),
+ elpa-git-commit (<< 4.1.2-2~)
+Breaks:
+ magit (<< 2.2.2-3),
+ elpa-git-commit (<< 4.1.2-2~),
 Depends: ${misc:Depends}, git, ${elpa:Depends},
 Enhances: emacs, git
 Description: Emacs interface for Git
@@ -40,10 +48,15 @@
 
 Package: elpa-git-commit
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends},
+Section: oldlibs
+Depends:
+ ${misc:Depends},
+ ${elpa:Depends},
+ elpa-magit (>= 4.1.2-2~)
 Enhances: emacs, git
-Description: Major mode for editing git commit message
- A mode for editing COMMIT_MSG file from git in Emacs.
+Description: Transitional package for git-commit
+ A mode for editing COMMIT_MSG file from git in Emacs.  This has
+ become part of elpa-magit since version 4.1.0.
 
 Package: elpa-magit-section
 Architecture: all
