## magit 4.3.0

=== debian/changelog ===
magit (4.3.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for the new version
  * Update Build-Depends in d/control
    - Drop dependency on elpa-dash.
    - Add new dependency of elpa-llama.
    - Update version requirements of elpa-compat and elpa-transient.

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Feb 2025 00:01:06 -0800
