=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
- elpa-compat (>= 30.0.1.0),
- elpa-dash (>= 2.19.1),
+ elpa-compat (>= 30.0.2.0),
+ elpa-llama (>= 0.6.0),
  elpa-seq (>= 2.24),
  elpa-with-editor (>= 3.4.3),
- elpa-transient (>= 0.8.2),
+ elpa-transient (>= 0.8.4),
  git,
  texinfo,
  texlive-base,
