=== lisp/Makefile ===
--- 
+++ 
@@ -9,18 +9,13 @@
 
 ## Build order #######################################################
 
-git-commit.elc:
 magit-section.elc:
 magit-base.elc:            magit-section.elc
-ifeq "$(BUILD_MAGIT_LIBGIT)" "true"
-magit-libgit.elc:
-magit-git.elc:             magit-base.elc magit-libgit.elc
-else
 magit-git.elc:             magit-base.elc
-endif
 magit-mode.elc:            magit-base.elc magit-git.elc
 magit-margin.elc:          magit-base.elc magit-mode.elc
 magit-process.elc:         magit-base.elc magit-git.elc magit-mode.elc
+git-commit.elc:            magit-git.elc magit-mode.elc magit-process.elc
 magit-transient.elc:       magit-git.elc magit-mode.elc magit-process.elc
 magit-autorevert.elc:      magit-git.elc magit-process.elc
 magit-core.elc:            magit-base.elc magit-git.elc magit-mode.elc \
@@ -114,6 +109,7 @@
 clean:
 	@printf " Cleaning lisp/*...\n"
 	@$(RM) *.elc $(ELGS)
+	@$(RM) ../test/magit-tests.elc
 
 ## Templates #########################################################
