=== debian/changelog ===
magit (4.3.1-2) unstable; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * Update transient build-dep to require 0.8.5.

  [ Sean Whitton ]
  * Require Emacs 30.1 for newer seq.el (Closes: #1099800).
    Thanks to Sven Joachim for the report.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 09 Mar 2025 11:52:18 +0800

magit (4.3.1-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * Remove explicit build dependency on elpa-seq.

  [ Barak A. Pearlmutter ]
  * New upstream release
  * Bump standards-version to 4.7.2
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 07 Mar 2025 22:42:43 -0800
