=== debian/control ===
--- 
+++ 
@@ -12,15 +12,14 @@
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
  elpa-compat (>= 30.0.2.0),
- elpa-llama (>= 0.6.0),
- elpa-seq (>= 2.24),
+ elpa-llama,
  elpa-with-editor (>= 3.4.3),
- elpa-transient (>= 0.8.4),
+ elpa-transient (>= 0.8.5),
  git,
  texinfo,
  texlive-base,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://magit.vc/
 Vcs-Browser: https://salsa.debian.org/emacsen-team/magit
 Vcs-Git: https://salsa.debian.org/emacsen-team/magit.git
@@ -37,7 +36,7 @@
 Breaks:
  magit (<< 2.2.2-3),
  elpa-git-commit (<< 4.1.2-2~),
-Depends: ${misc:Depends}, git, ${elpa:Depends},
+Depends: ${misc:Depends}, git, ${elpa:Depends}, emacs (>= 1:30.1)
 Enhances: emacs, git
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
