## magit 4.3.2

=== debian/changelog ===
magit (4.3.2-1) unstable; urgency=medium

  * New upstream release
  * Ignore extraneous diffs in doc/magit.texi in d/s/options
  * Refresh patches for the new release
  * Update section to editors
  * Loosen version requirements in Build-Depends
    - ${elpa:Depends} will generate the correct versioned dependencies for
      the binary packages, which will be enforced for autopkgtest.
  * Run 'wrap-and-sort -ast'

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 01 Apr 2025 21:52:26 -0700
