## magit 4.3.3

=== debian/changelog ===
magit (4.3.3-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for the new version

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 04 May 2025 03:40:21 -0700
