=== debian/changelog ===
magit (4.3.5-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches for the new release

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 18 May 2025 16:54:54 -0700
