=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: magit
-Section: vcs
+Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
@@ -11,10 +11,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa (>= 2.1.2),
- elpa-compat (>= 30.0.2.0),
+ elpa-compat,
  elpa-llama,
- elpa-with-editor (>= 3.4.3),
- elpa-transient (>= 0.8.5),
+ elpa-transient,
+ elpa-with-editor,
  git,
  texinfo,
  texlive-base,
@@ -28,16 +28,22 @@
 Package: elpa-magit
 Architecture: all
 Provides:
+ elpa-git-commit,
  magit,
- elpa-git-commit
 Replaces:
+ elpa-git-commit (<< 4.1.2-2~),
  magit (<< 2.2.2-3),
- elpa-git-commit (<< 4.1.2-2~)
 Breaks:
+ elpa-git-commit (<< 4.1.2-2~),
  magit (<< 2.2.2-3),
- elpa-git-commit (<< 4.1.2-2~),
-Depends: ${misc:Depends}, git, ${elpa:Depends}, emacs (>= 1:30.1)
-Enhances: emacs, git
+Depends:
+ emacs (>= 1:30.1),
+ git,
+ ${elpa:Depends},
+ ${misc:Depends},
+Enhances:
+ emacs,
+ git,
 Description: Emacs interface for Git
  With Magit, you can inspect and modify your Git repositories with
  Emacs.  You can review and commit the changes you have made to the
@@ -49,18 +55,23 @@
 Architecture: all
 Section: oldlibs
 Depends:
+ elpa-magit (>= 4.1.2-2~),
+ ${elpa:Depends},
  ${misc:Depends},
- ${elpa:Depends},
- elpa-magit (>= 4.1.2-2~)
-Enhances: emacs, git
+Enhances:
+ emacs,
+ git,
 Description: Transitional package for git-commit
  A mode for editing COMMIT_MSG file from git in Emacs.  This has
  become part of elpa-magit since version 4.1.0.
 
 Package: elpa-magit-section
 Architecture: all
-Depends: ${misc:Depends}, ${elpa:Depends}
-Enhances: emacs
+Depends:
+ ${elpa:Depends},
+ ${misc:Depends},
+Enhances:
+ emacs,
 Description: Collapsible sections like in Magit
  This package implements the main user interface of Magit — the
  collapsible sections that make up its buffers.  This package used
